[java-atk-wrapper] autogen.sh: use unary operators



commit 0601b234a2e33628dba4fa5c51825c78e2e1bec4
Author: Magdalen Berns <m berns thismagpie com>
Date:   Sat Nov 1 13:31:12 2014 +0000

    autogen.sh: use unary operators

 autogen.sh |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)
---
diff --git a/autogen.sh b/autogen.sh
index 4668b3b..b06591b 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -16,7 +16,7 @@ if test -z "$PKGCONFIG"; then
 fi
 
 pkg-config --print-errors gobject-introspection-1.0
-if [ $? != 0 ]; then
+if [ "$?" != 0 ]; then
   echo "You probably need to install 'libgirepository1.0-dev'"
   exit 1
 fi
@@ -27,7 +27,7 @@ fi
 touch README INSTALL
 
 AUTORECONF=`which autoreconf`
-if test -z $AUTORECONF; then
+if test -z "$AUTORECONF"; then
   echo "*** No autoreconf found, please install it ***"
   exit 1
 else


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]